import request from '@/config/axios'

// 公司 VO
export interface CompanyVO {
  id: number // 主键ID
  companyName: string // 公司名称
  companyCode: string // 公司编码
}

// 公司 API
export const CompanyApi = {
  // 查询公司分页
  getCompanyPage: async (params: any) => {
    return await request.get({ url: `/contract/company/page`, params })
  },

  // 查询公司详情
  getCompany: async (id: number) => {
    return await request.get({ url: `/contract/company/get?id=` + id })
  },

  // 新增公司
  createCompany: async (data: CompanyVO) => {
    return await request.post({ url: `/contract/company/create`, data })
  },

  // 修改公司
  updateCompany: async (data: CompanyVO) => {
    return await request.put({ url: `/contract/company/update`, data })
  },

  // 删除公司
  deleteCompany: async (id: number) => {
    return await request.delete({ url: `/contract/company/delete?id=` + id })
  },

  // 导出公司 Excel
  exportCompany: async (params) => {
    return await request.download({ url: `/contract/company/export-excel`, params })
  }
}